/*
 * BSD 3-Clause License
 *
 * Copyright (c) 2020, Bitsy Darel
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 *
 * 3. Neither the name of the copyright holder nor the names of its
 *    contributors may be used to endorse or promote products derived from
 *    this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

library dbstyleguidechecker;

export 'package:dbstyleguidechecker/src/checkers/code_style_violations_checker.dart';
export 'package:dbstyleguidechecker/src/checkers/dart_project_style_guide_checker.dart';
export 'package:dbstyleguidechecker/src/checkers/flutter_project_style_guide_checker.dart';
export 'package:dbstyleguidechecker/src/exceptions.dart';
export 'package:dbstyleguidechecker/src/parsers/code_style_violations_parser.dart';
export 'package:dbstyleguidechecker/src/parsers/dart_analyzer_violation_parser.dart';
export 'package:dbstyleguidechecker/src/reporters/code_style_violations_reporter.dart';
export 'package:dbstyleguidechecker/src/reporters/console_code_style_violations_reporter.dart';
export 'package:dbstyleguidechecker/src/reporters/file_code_style_violation_reporter.dart';
export 'package:dbstyleguidechecker/src/reporters/github/github_pull_request_style_guide_check_reporter.dart';
export 'package:dbstyleguidechecker/src/reporters/github/github_utils.dart';
export 'package:dbstyleguidechecker/src/reporters/json_code_style_violation_reporter.dart';
export 'package:dbstyleguidechecker/src/utils/script_utils.dart';
